using System;

internal sealed class Delegate823 : MulticastDelegate
{
	public extern object Invoke(Type type_0, ulong ulong_0);

	public static object smethod_0(Type type_0, ulong ulong_0, Delegate823 delegate823_1)
	{
		return delegate823_1(type_0, ulong_0);
	}

	public extern Delegate823(object object_0, IntPtr intptr_0);

	static Delegate823()
	{
		Class10.smethod_13(typeof(Delegate823).TypeHandle);
	}

	internal static Delegate823 delegate823_0;
}
